Const Quote = """"  'Single " character

On Error Resume Next
CSVFilename = WScript.Arguments.Item(0)
If Err.Number <> 0 Then
	MsgBox "This script is meant to be called from Check.cmd only!"
	WScript.Quit
End If
On Error GoTo 0

Set CSVFile = CreateObject("Scripting.FileSystemObject").OpenTextFile(CSVFilename, 1)

Do Until CSVFile.AtEndOfStream
	Line = CSVFile.ReadLine
	If Left(Line, 5) <> "Path," Then  'Ignore header lines
		StartOfFilename = 2
		EndOfFilename = InStr(StartOfFilename, Line, Quote)

		StartOfResult = EndOfFilename + 3
		EndOfResult = InStr(StartOfResult, Line, Quote)

		StartOfTime = EndOfResult + 3
		EndOfTime = InStr(StartOfTime, Line, Quote)

		StartOfAuthor = EndOfTime + 3
		EndOfAuthor = InStr(StartOfAuthor, Line, Quote)

		Result = Slice(Line, StartOfResult, EndOfResult)
		Author = Slice(Line, StartOfAuthor, EndOfAuthor)

		If Result <> "Signed" Or Author <> "Microsoft Corporation" Then
			Filename = Slice(Line, StartOfFilename, EndOfFilename)

			MsgBox _
				"The file" & vbCrLf & _
				vbCrLf & _
				Filename & vbCrLf & _
				vbCrLf & _
				"seems to not be signed by Microsoft!" & vbCrLf & _
				"It might be damaged or malicious." & vbCrLf & _
				"Please redownload the file and check again."
			Exit Do
		End If
	End If
Loop

MsgBox "All files seem to be OK! You can now run Update.cmd."
CSVFile.Close

Function Slice (ByRef S, ByVal FromPos, ByVal ToPos)
Slice = Mid(S, FromPos, ToPos - FromPos)
End Function